# CMake generated Testfile for 
# Source directory: /Users/h/sdk-folder/sdk-source/avs-device-sdk/AVSCommon/AVS/test
# Build directory: /Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test
# 
# This file includes the relevant testing commands required for 
# testing this directory and lists subdirectories to be tested as well.
add_test(AlexaClientSDKInitTest.initializeNoJSONConfig "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/AlexaClientSDKInitTest" "--gtest_filter=AlexaClientSDKInitTest.initializeNoJSONConfig")
add_test(AlexaClientSDKInitTest.initializeInvalidJSONConfig "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/AlexaClientSDKInitTest" "--gtest_filter=AlexaClientSDKInitTest.initializeInvalidJSONConfig")
add_test(AlexaClientSDKInitTest.initializeValidJSONConfig "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/AlexaClientSDKInitTest" "--gtest_filter=AlexaClientSDKInitTest.initializeValidJSONConfig")
add_test(AlexaClientSDKInitTest.uninitializedIsInitialized "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/AlexaClientSDKInitTest" "--gtest_filter=AlexaClientSDKInitTest.uninitializedIsInitialized")
add_test(AlexaClientSDKInitTest.isInitialized "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/AlexaClientSDKInitTest" "--gtest_filter=AlexaClientSDKInitTest.isInitialized")
add_test(AlexaClientSDKInitTest.uninitialize "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/AlexaClientSDKInitTest" "--gtest_filter=AlexaClientSDKInitTest.uninitialize")
add_test(AttachmentManagerTest.testAttachmentManagerGenerateAttachmentId "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/AttachmentManagerV2Test" "--gtest_filter=AttachmentManagerTest.testAttachmentManagerGenerateAttachmentId")
add_test(AttachmentManagerTest.testAttachmentManagerSetTimeout "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/AttachmentManagerV2Test" "--gtest_filter=AttachmentManagerTest.testAttachmentManagerSetTimeout")
add_test(AttachmentManagerTest.testAttachmentManagerCreateWriterThenReader "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/AttachmentManagerV2Test" "--gtest_filter=AttachmentManagerTest.testAttachmentManagerCreateWriterThenReader")
add_test(AttachmentManagerTest.testAttachmentManagerCreateReaderThenWriter "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/AttachmentManagerV2Test" "--gtest_filter=AttachmentManagerTest.testAttachmentManagerCreateReaderThenWriter")
add_test(AttachmentManagerTest.testAttachmentManagerCreateReader "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/AttachmentManagerV2Test" "--gtest_filter=AttachmentManagerTest.testAttachmentManagerCreateReader")
add_test(AttachmentManagerTest.testAttachmentManagerReadAttachmentWithoutWriter "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/AttachmentManagerV2Test" "--gtest_filter=AttachmentManagerTest.testAttachmentManagerReadAttachmentWithoutWriter")
add_test(AttachmentManagerTest.testAttachmentManagerTestCreateReadersThenWriters "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/AttachmentManagerV2Test" "--gtest_filter=AttachmentManagerTest.testAttachmentManagerTestCreateReadersThenWriters")
add_test(AttachmentManagerTest.testAttachmentManagerTestCreateWritersThenReaders "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/AttachmentManagerV2Test" "--gtest_filter=AttachmentManagerTest.testAttachmentManagerTestCreateWritersThenReaders")
add_test(AttachmentManagerTest.testAttachmentManagerCreateMultipleWriters "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/AttachmentManagerV2Test" "--gtest_filter=AttachmentManagerTest.testAttachmentManagerCreateMultipleWriters")
add_test(AttachmentManagerTest.testAttachmentManagerCreateMultipleReaders "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/AttachmentManagerV2Test" "--gtest_filter=AttachmentManagerTest.testAttachmentManagerCreateMultipleReaders")
add_test(AttachmentManagerTest.testAttachmentWriterAndReaderInOnePass "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/AttachmentManagerV2Test" "--gtest_filter=AttachmentManagerTest.testAttachmentWriterAndReaderInOnePass")
add_test(AttachmentReaderTest.testAttachmentReaderWithInvalidSDS "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/AttachmentReaderTest" "--gtest_filter=AttachmentReaderTest.testAttachmentReaderWithInvalidSDS")
add_test(AttachmentReaderTest.testAttachmentReaderWithBadSeekPosition "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/AttachmentReaderTest" "--gtest_filter=AttachmentReaderTest.testAttachmentReaderWithBadSeekPosition")
add_test(AttachmentReaderTest.testAttachmentReaderReadInOnePass "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/AttachmentReaderTest" "--gtest_filter=AttachmentReaderTest.testAttachmentReaderReadInOnePass")
add_test(AttachmentReaderTest.testAttachmentReaderPartialRead "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/AttachmentReaderTest" "--gtest_filter=AttachmentReaderTest.testAttachmentReaderPartialRead")
add_test(AttachmentReaderTest.testAttachmentReaderPartialReadWithSeek "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/AttachmentReaderTest" "--gtest_filter=AttachmentReaderTest.testAttachmentReaderPartialReadWithSeek")
add_test(AttachmentReaderTest.testAttachmentReaderMultipleReads "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/AttachmentReaderTest" "--gtest_filter=AttachmentReaderTest.testAttachmentReaderMultipleReads")
add_test(AttachmentReaderTest.testAttachmentReaderMultipleReadsOfUnfinishedData "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/AttachmentReaderTest" "--gtest_filter=AttachmentReaderTest.testAttachmentReaderMultipleReadsOfUnfinishedData")
add_test(AttachmentTest.testGetAttachmentId "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/AttachmentTest" "--gtest_filter=AttachmentTest.testGetAttachmentId")
add_test(AttachmentTest.testAttachmentCreateBlockingReader "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/AttachmentTest" "--gtest_filter=AttachmentTest.testAttachmentCreateBlockingReader")
add_test(AttachmentTest.testAttachmentCreateNonBlockingReader "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/AttachmentTest" "--gtest_filter=AttachmentTest.testAttachmentCreateNonBlockingReader")
add_test(AttachmentTest.testAttachmentCreateWriter "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/AttachmentTest" "--gtest_filter=AttachmentTest.testAttachmentCreateWriter")
add_test(AttachmentTest.testCreateAttachmentWithSDS "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/AttachmentTest" "--gtest_filter=AttachmentTest.testCreateAttachmentWithSDS")
add_test(AttachmentTest.testAttachmentCreateMultipleWriters "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/AttachmentTest" "--gtest_filter=AttachmentTest.testAttachmentCreateMultipleWriters")
add_test(AttachmentUtilsTest.testReadCompleteBuffer "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/AttachmentUtilsTest" "--gtest_filter=AttachmentUtilsTest.testReadCompleteBuffer")
add_test(AttachmentUtilsTest.testEmptyBuffer "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/AttachmentUtilsTest" "--gtest_filter=AttachmentUtilsTest.testEmptyBuffer")
add_test(AttachmentWriterTest.testAttachmentWriterWithInvalidSDS "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/AttachmentWriterTest" "--gtest_filter=AttachmentWriterTest.testAttachmentWriterWithInvalidSDS")
add_test(AttachmentWriterTest.testAttachmentWriterOnClosedWriter "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/AttachmentWriterTest" "--gtest_filter=AttachmentWriterTest.testAttachmentWriterOnClosedWriter")
add_test(AttachmentWriterTest.testAttachmentWriterWriteSinglePass "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/AttachmentWriterTest" "--gtest_filter=AttachmentWriterTest.testAttachmentWriterWriteSinglePass")
add_test(AttachmentWriterTest.testAttachmentWriterAndReadInOnePass "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/AttachmentWriterTest" "--gtest_filter=AttachmentWriterTest.testAttachmentWriterAndReadInOnePass")
add_test(AttachmentWriterTest.testAttachmentReaderAndWriterMultipleReads "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/AttachmentWriterTest" "--gtest_filter=AttachmentWriterTest.testAttachmentReaderAndWriterMultipleReads")
add_test(AttachmentWriterTest.testAttachmentWriterAndReaderMultipleReadsOfUnfinishedData "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/AttachmentWriterTest" "--gtest_filter=AttachmentWriterTest.testAttachmentWriterAndReaderMultipleReadsOfUnfinishedData")
add_test(CapabilityAgentTest.testCallToHandleImmediately "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/CapabilityAgentTest" "--gtest_filter=CapabilityAgentTest.testCallToHandleImmediately")
add_test(CapabilityAgentTest.testCallToPrehandleDirective "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/CapabilityAgentTest" "--gtest_filter=CapabilityAgentTest.testCallToPrehandleDirective")
add_test(CapabilityAgentTest.testCallToHandleDirective "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/CapabilityAgentTest" "--gtest_filter=CapabilityAgentTest.testCallToHandleDirective")
add_test(CapabilityAgentTest.testCallToHandleDirectiveWithNoPrehandle "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/CapabilityAgentTest" "--gtest_filter=CapabilityAgentTest.testCallToHandleDirectiveWithNoPrehandle")
add_test(CapabilityAgentTest.testCallToCancelDirective "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/CapabilityAgentTest" "--gtest_filter=CapabilityAgentTest.testCallToCancelDirective")
add_test(CapabilityAgentTest.testCallToCancelDirectiveWithNoPrehandle "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/CapabilityAgentTest" "--gtest_filter=CapabilityAgentTest.testCallToCancelDirectiveWithNoPrehandle")
add_test(CapabilityAgentTest.testWithDialogIdAndContext "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/CapabilityAgentTest" "--gtest_filter=CapabilityAgentTest.testWithDialogIdAndContext")
add_test(CapabilityAgentTest.testWithDialogIdAndNoContext "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/CapabilityAgentTest" "--gtest_filter=CapabilityAgentTest.testWithDialogIdAndNoContext")
add_test(CapabilityAgentTest.testWithoutDialogIdOrContext "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/CapabilityAgentTest" "--gtest_filter=CapabilityAgentTest.testWithoutDialogIdOrContext")
add_test(CapabilityAgentTest.testWithContextAndNoDialogId "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/CapabilityAgentTest" "--gtest_filter=CapabilityAgentTest.testWithContextAndNoDialogId")
add_test(CapabilityConfigurationTest.testConstructor "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/CapabilityConfigurationTest" "--gtest_filter=CapabilityConfigurationTest.testConstructor")
add_test(CapabilityConfigurationTest.testEquality "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/CapabilityConfigurationTest" "--gtest_filter=CapabilityConfigurationTest.testEquality")
add_test(CapabilityConfigurationTest.testInequality "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/CapabilityConfigurationTest" "--gtest_filter=CapabilityConfigurationTest.testInequality")
add_test(CapabilityConfigurationTest.testMultipleValues "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/CapabilityConfigurationTest" "--gtest_filter=CapabilityConfigurationTest.testMultipleValues")
add_test(DialogUXAggregatorTest.testIdleAtBeginning "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/DialogUXStateAggregatorTest" "--gtest_filter=DialogUXAggregatorTest.testIdleAtBeginning")
add_test(DialogUXAggregatorTest.testInvalidAtBeginningForMultipleObservers "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/DialogUXStateAggregatorTest" "--gtest_filter=DialogUXAggregatorTest.testInvalidAtBeginningForMultipleObservers")
add_test(DialogUXAggregatorTest.testRemoveObserver "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/DialogUXStateAggregatorTest" "--gtest_filter=DialogUXAggregatorTest.testRemoveObserver")
add_test(DialogUXAggregatorTest.aipIdleLeadsToIdleState "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/DialogUXStateAggregatorTest" "--gtest_filter=DialogUXAggregatorTest.aipIdleLeadsToIdleState")
add_test(DialogUXAggregatorTest.aipRecognizeLeadsToListeningState "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/DialogUXStateAggregatorTest" "--gtest_filter=DialogUXAggregatorTest.aipRecognizeLeadsToListeningState")
add_test(DialogUXAggregatorTest.aipIdleLeadsToIdle "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/DialogUXStateAggregatorTest" "--gtest_filter=DialogUXAggregatorTest.aipIdleLeadsToIdle")
add_test(DialogUXAggregatorTest.aipExpectingSpeechLeadsToListeningState "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/DialogUXStateAggregatorTest" "--gtest_filter=DialogUXAggregatorTest.aipExpectingSpeechLeadsToListeningState")
add_test(DialogUXAggregatorTest.aipBusyLeadsToThinkingState "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/DialogUXStateAggregatorTest" "--gtest_filter=DialogUXAggregatorTest.aipBusyLeadsToThinkingState")
add_test(DialogUXAggregatorTest.busyGoesToIdleAfterTimeout "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/DialogUXStateAggregatorTest" "--gtest_filter=DialogUXAggregatorTest.busyGoesToIdleAfterTimeout")
add_test(DialogUXAggregatorTest.busyThenReceiveRemainsInBusyImmediately "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/DialogUXStateAggregatorTest" "--gtest_filter=DialogUXAggregatorTest.busyThenReceiveRemainsInBusyImmediately")
add_test(DialogUXAggregatorTest.busyThenReceiveGoesToIdleAfterShortTimeout "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/DialogUXStateAggregatorTest" "--gtest_filter=DialogUXAggregatorTest.busyThenReceiveGoesToIdleAfterShortTimeout")
add_test(DialogUXAggregatorTest.busyThenReceiveThenSpeakGoesToSpeak "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/DialogUXStateAggregatorTest" "--gtest_filter=DialogUXAggregatorTest.busyThenReceiveThenSpeakGoesToSpeak")
add_test(DialogUXAggregatorTest.busyThenReceiveThenSpeakGoesToSpeakButNotIdle "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/DialogUXStateAggregatorTest" "--gtest_filter=DialogUXAggregatorTest.busyThenReceiveThenSpeakGoesToSpeakButNotIdle")
add_test(DialogUXAggregatorTest.speakingAndRecognizingFinishedGoesToIdle "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/DialogUXStateAggregatorTest" "--gtest_filter=DialogUXAggregatorTest.speakingAndRecognizingFinishedGoesToIdle")
add_test(DialogUXAggregatorTest.nonIdleObservantsPreventsIdle "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/DialogUXStateAggregatorTest" "--gtest_filter=DialogUXAggregatorTest.nonIdleObservantsPreventsIdle")
add_test(DialogUXAggregatorTest.speakingFinishedDoesNotGoesToIdleImmediately "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/DialogUXStateAggregatorTest" "--gtest_filter=DialogUXAggregatorTest.speakingFinishedDoesNotGoesToIdleImmediately")
add_test(DialogUXAggregatorTest.simpleReceiveDoesNothing "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/DialogUXStateAggregatorTest" "--gtest_filter=DialogUXAggregatorTest.simpleReceiveDoesNothing")
add_test(ExceptionEncounteredSenderTest.errorTypeUnexpectedInformationReceived "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/ExceptionEncounteredSenderTest" "--gtest_filter=ExceptionEncounteredSenderTest.errorTypeUnexpectedInformationReceived")
add_test(ExceptionEncounteredSenderTest.errorTypeUnexpectedOperation "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/ExceptionEncounteredSenderTest" "--gtest_filter=ExceptionEncounteredSenderTest.errorTypeUnexpectedOperation")
add_test(ExceptionEncounteredSenderTest.errorTypeInternalError "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/ExceptionEncounteredSenderTest" "--gtest_filter=ExceptionEncounteredSenderTest.errorTypeInternalError")
add_test(HandlerAndPolicyTest.testDefaultConstructor "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/HandlerAndPolicyTest" "--gtest_filter=HandlerAndPolicyTest.testDefaultConstructor")
add_test(HandlerAndPolicyTest.testConstructorWithValues "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/HandlerAndPolicyTest" "--gtest_filter=HandlerAndPolicyTest.testConstructorWithValues")
add_test(HandlerAndPolicyTest.testOperatorBool "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/HandlerAndPolicyTest" "--gtest_filter=HandlerAndPolicyTest.testOperatorBool")
add_test(HandlerAndPolicyTest.testOperatorEqualandNotEqual "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/HandlerAndPolicyTest" "--gtest_filter=HandlerAndPolicyTest.testOperatorEqualandNotEqual")
add_test(NamespaceAndNameTest.testDefaultConstructor "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/NamespaceAndNameTest" "--gtest_filter=NamespaceAndNameTest.testDefaultConstructor")
add_test(NamespaceAndNameTest.testConstructorWithValues "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/NamespaceAndNameTest" "--gtest_filter=NamespaceAndNameTest.testConstructorWithValues")
add_test(NamespaceAndNameTest.testInUnorderedMap "/Users/h/sdk-folder/sdk-build/AVSCommon/AVS/test/NamespaceAndNameTest" "--gtest_filter=NamespaceAndNameTest.testInUnorderedMap")
subdirs("Attachment")
